<?php
/******************************************************************************/
//                                                                            //
//                           InstantCMS v1.10.4                               //
//                        http://www.instantcms.ru/                           //
//                                                                            //
//                   written by InstantCMS Team, 2007-2014                    //
//                produced by InstantSoft, (www.instantsoft.ru)               //
//                                                                            //
//                        LICENSED BY GNU/GPL v2                              //
//                                                                            //
/******************************************************************************/
    /*
     * Доступны объекты $inCore $inUser $inPage($this) $inConf $inDB
     */

    // Получаем количество модулей на нужные позиции
	$mod_count['vip_module']         = $this->countModules('vip_module');	
	$mod_count['main_left']          = $this->countModules('main_left');
    $mod_count['main_right']         = $this->countModules('main_right');
    $mod_count['maincenter_l_t']     = $this->countModules('maincenter_l_t');
    $mod_count['maincenter_l_b']     = $this->countModules('maincenter_l_b');
    $mod_count['bottom_1_l']         = $this->countModules('bottom_1_l');
    $mod_count['bottom_2_1']         = $this->countModules('bottom_2_1');
    $mod_count['bottom']             = $this->countModules('bottom');
		
	$mod_count['topbanner']         = $this->countModules('topbanner');
	$mod_count['bottombanner']         = $this->countModules('bottombanner');	
	$mod_count['bottomleftbanner']         = $this->countModules('bottomleftbanner');	
	$mod_count['bottomrightbanner']         = $this->countModules('bottomrightbanner');
	
    // подключаем jQuery и js ядра в самое начало
    $this->prependHeadJS('core/js/common.js');
    $this->prependHeadJS('includes/jquery/jquery.js');
    // Подключаем стили шаблона
    $this->addHeadCSS('templates/'.TEMPLATE.'/css/reset.css');
   // $this->addHeadCSS('templates/'.TEMPLATE.'/css/text.css');
    $this->addHeadCSS('templates/'.TEMPLATE.'/fawe/font-awesome.min.css');
    $this->addHeadCSS('templates/'.TEMPLATE.'/fawe/font-awesome.css');	
    $this->addHeadCSS('templates/'.TEMPLATE.'/css/main-stylesheet.css');
    $this->addHeadCSS('templates/'.TEMPLATE.'/css/styles.css');
    // Подключаем colorbox (просмотр фото)
    $this->addHeadJS('includes/jquery/colorbox/jquery.colorbox.js');
    $this->addHeadCSS('includes/jquery/colorbox/colorbox.css');
    $this->addHeadJS('includes/jquery/colorbox/init_colorbox.js');
    // LANG фразы для colorbox
    $this->addHeadJsLang(array('CBOX_IMAGE','CBOX_FROM','CBOX_PREVIOUS','CBOX_NEXT','CBOX_CLOSE','CBOX_XHR_ERROR','CBOX_IMG_ERROR', 'CBOX_SLIDESHOWSTOP', 'CBOX_SLIDESHOWSTART'));

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
	<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
    <?php $this->printHead(); ?>
    <?php if($inUser->is_admin){ ?>
        <script src="/admin/js/modconfig.js" type="text/javascript"></script>
        <script src="/templates/<?php echo TEMPLATE; ?>/js/nyromodal.js" type="text/javascript"></script>
        <link href="/templates/<?php echo TEMPLATE; ?>/css/modconfig.css" rel="stylesheet" type="text/css" />
        <link href="/templates/<?php echo TEMPLATE; ?>/css/nyromodal.css" rel="stylesheet" type="text/css" />
    <?php } ?>

	</head>
	<body>
<?php if ($inConf->siteoff && $inUser->is_admin) { ?>
<div style="margin:4px; padding:5px; border:solid 1px red; background:#FFF; position: fixed;opacity: 0.8; z-index:999"><?php echo $_LANG['SITE_IS_DISABLE']; ?></div>
<?php } ?>	
		<div class="boxed">
			<div class="header">
				<div class="wrapper">
				<?php if ($mod_count['topbanner']){ ?>
					<div class="header-banner">
					<?php $this->printModules('topbanner'); ?>	
						</div>
				<?php } ?>	
					<div class="header-top">
						<ul class="left">
<?php $this->printModules('header_menu'); ?>
						</ul>
						<ul class="right">
							<?php $this->printModules('header'); ?>
						</ul>
						<div class="clear-float"></div>
					</div>
					
					<div class="header-content">
						<div class="header-logo">
							<a href="/"><img src="/templates/<?php echo TEMPLATE; ?>/img/logo-header.png" style="width:210px;height:34px;"></a>
						</div>
						<div class="header-info">
                            <?php $this->printModules('header_info'); ?>
						</div>						
						<div class="header-weather">
							<div class="weather-report right">
								<div>
							<?php $this->printModules('weather'); ?> 
								</div>
								<div>
									<strong>-23&deg;C</strong>
								</div>
							</div>
						</div>
					<!-- END .header-content -->
					</div>
					
				<!-- END .wrapper -->
				</div>

				<!-- BEGIN .main-menu -->
				<div class="main-menu wrapper">

					<!-- BEGIN .main-menu-ul -->
											
						<?php $this->printModules('main_menu'); ?>
					
					
					<!-- BEGIN .main-under-menu-ul -->
					<ul class="main-under-menu-ul">
<?php $this->printModules('under_menu'); ?>						
					</ul>
					
				<!-- END .main-menu -->
				</div>
			<?php $this->printPathway('&rarr;'); ?>	
			<!-- END .header -->
			</div>
			
			<!-- BEGIN .content -->
			<div class="content">
				
				<!-- BEGIN .wrapper -->
				<div class="wrapper">
<div class="maincontent">
	<?php if ($mod_count['main_left']){ ?>
	<div class="mainleft">
		<?php $this->printModules('main_left'); ?>
	</div>
	<?php } ?>
	<div class="maincenter<?php if ($mod_count['main_right']) { ?>1<?php } ?><?php if ($mod_count['main_left']) { ?>2<?php } ?>">
	<?php if ($mod_count['vip_module']){ ?>
	<?php $this->printModules('vip_module'); ?>
	<div style="clear:both;"></div>
	<?php } ?>
	<?php if ($mod_count['maincenter_l_t']){ ?>
		<div class="maincenter-t">
			<div class="maincenter-l">
			<?php $this->printModules('maincenter_l_t'); ?>
			</div>
			<div class="maincenter-r">
			<?php $this->printModules('maincenter_r_t'); ?>
			</div>	
		</div>
	<div style="clear:both;"></div>	
	<?php } ?>	
	<?php $this->printModules('maintop'); ?>
	<div style="clear:both;"></div>
	                <?php $messages = cmsCore::getSessionMessages(); ?>
                    <?php if ($messages) { ?>
                    <div class="sess_messages" id="sess_messages">
                        <?php foreach($messages as $message){ ?>
                            <?php echo $message; ?>
                        <?php } ?>
                    </div>
                    <?php } ?>

                    <?php if($this->page_body){ ?>
                        <div class="component">
                             <?php $this->printBody(); ?>
                        </div>
                    <?php } ?>
	<?php if ($mod_count['maincenter_l_b']){ ?>
		<div class="maincenter-t">
			<div class="maincenter-l">
			<?php $this->printModules('maincenter_l_b'); ?>
			</div>
			<div class="maincenter-r">
			<?php $this->printModules('maincenter_r_b'); ?>
			</div>	
		</div>
	<div style="clear:both;"></div>	
	<?php } ?>		
	<?php $this->printModules('mainbottom'); ?>
	<div style="clear:both;"></div>
	</div>
	<?php if ($mod_count['main_right']){ ?>
	<div class="mainright">
		<?php $this->printModules('main_right'); ?>
	</div>
	<?php } ?>	
</div>
<div class="contentbottom">
<?php if ($mod_count['bottom_1_l']){ ?>
 <div class="col2">
	<div class="col">
		<?php $this->printModules('bottom_1_l'); ?>
	</div>
	<div class="col lastcol">
		<?php $this->printModules('bottom_1_r'); ?>
	</div>	
 </div>
 <div style="clear:both;"></div>
  <div class="col2">
	<div class="col">
		<?php $this->printModules('bottomleftbanner'); ?>	
	</div>
	<div class="col lastcol">
		<?php $this->printModules('bottomrightbanner'); ?>	
	</div>	
 </div>
  <div style="clear:both;"></div>
<?php } ?> 
<?php if ($mod_count['bottom_2_1']){ ?>
 <div class="col4">
	<div class="col">
		<?php $this->printModules('bottom_2_1'); ?>
	</div>
	<div class="col">
		<?php $this->printModules('bottom_2_2'); ?>
	</div>
	<div class="col">
		<?php $this->printModules('bottom_2_3'); ?>
	</div>
	<div class="col lastcol">
		<?php $this->printModules('bottom_2_4'); ?>
	</div>	
 </div>
 <div style="clear:both;"></div>
<?php } ?> 

 <div class="col1">
	<div class="col">
<?php if ($mod_count['bottom']){ ?>	
		<?php $this->printModules('bottom'); ?>
 <div style="clear:both;"></div>		
<?php } ?> 		
	</div>
 </div>


</div>

				</div>
				
			<!-- BEGIN .content -->
			</div>
			
			<!-- BEGIN .footer -->
			<div class="footer">
				
				<!-- BEGIN .wrapper -->
				<div class="wrapper">
				<?php if ($mod_count['bottombanner']){ ?>
					<div class="header-banner">
					<?php $this->printModules('bottombanner'); ?>	
						</div>
				<?php } ?>	
					<div class="footer-content">
						<div class="footer-block">
							<div class="relative-block">
								<div class="footer-logo">
									<a href="index.html"><img src="/templates/<?php echo TEMPLATE; ?>/img/logo-footer.png" title="" alt="" /></a>
								</div>
<img src="/templates/<?php echo TEMPLATE; ?>/img/icms.gif" class="x88x33" />
<img src="/templates/<?php echo TEMPLATE; ?>/img/icms.gif" class="x88x33" /><br />							
<img src="/templates/<?php echo TEMPLATE; ?>/img/icms.gif" class="x88x33" />
<img src="/templates/<?php echo TEMPLATE; ?>/img/icms.gif" class="x88x33" /><br />
<img src="/templates/<?php echo TEMPLATE; ?>/img/icms.gif" class="x88x33" />
<img src="/templates/<?php echo TEMPLATE; ?>/img/icms.gif" class="x88x33" />
							</div>
						</div>
						<div class="footer-block">
<?php $this->printModules('footer1'); ?>	
						</div>
						<div class="footer-block">
<?php $this->printModules('footer2'); ?>	
						</div>
						<div class="footer-block">
<?php $this->printModules('footer3'); ?>	
						</div>
					</div>
					
					<div class="footer-copy">
						<p class="left"><a href="/"><?php $this->printSitename(); ?></a> &copy; <?php echo date('Y'); ?></p>
						<p class="right"><a href="#">НАВЕРХ <i class="fa fa-arrow-up"></i></a></p>
						<div class="clear-float"></div>
					</div>
					
				<!-- END .wrapper -->
				</div>
				
			<!-- END .footer -->
			</div>
			
		<!-- END .boxed -->
		</div>
	<!-- END body -->
	    <?php if($inConf->debug && $inUser->is_admin){
            $time = $inCore->getGenTime(); ?>
        <div class="debug_info">
            <div class="debug_time">
                <?php echo $_LANG['DEBUG_TIME_GEN_PAGE'].' '.number_format($time, 4).' '.$_LANG['DEBUG_SEC']; ?>
            </div>
            <div class="debug_memory">
                <?php echo $_LANG['DEBUG_MEMORY'].' '.round(@memory_get_usage()/1024/1024, 2).' '.$_LANG['SIZE_MB']; ?>
            </div>
            <div class="debug_query_count">
                <a href="#debug_query_dump" class="ajaxlink" onclick="$('#debug_query_dump').toggle();return false;"><?php echo $_LANG['DEBUG_QUERY_DB'].' '.$inDB->q_count; ?></a>
            </div>
            <div id="debug_query_dump">
                <?php echo $inDB->q_dump; ?>
            </div>
        </div>
    <?php } ?>
	</body>
<!-- END html -->
</html>